Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.0

Description

Hi,

I have upgraded my redmine installation (posgresql->redmine->thin->nginx) to the new debian stable version which is now

3.0~20140825-5.

Since then I can not open the above pages in any redmine project without getting a 500 error. I have tried upgrading the database

again, reconfiguring the package, accessing redmine w/o the reverse proxy and I was unable to fix the problem or to find the same

bug anywhere else in the internets (nor on this site) so I open a new bug here:

production.log gives me:

Processing AdminController#index (for xxx.xxx.xxx.xxx at 2015-07-09 14:39:42) [GET]

  Parameters: {"controller"=>"admin", "action"=>"index"}

Processing ApplicationController#index (for xxx.xxx.xxx.xxx at 2015-07-09 14:39:42) [GET]

  Parameters: {"controller"=>"admin", "action"=>"index"}

/!\ FAILSAFE /!\  2015-07-09 14:39:42 +0200

  Status: 500 Internal Server Error

  cannot load such file -- action_view/template_error

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:81:in `block in log_error'

    /usr/lib/ruby/vendor_ruby/active_support/deprecation.rb:44:in `silence'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:80:in `log_error'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:142:in `rescue_action_without_handler'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:74:in `rescue_action'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:in `process_with_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:65:in `call_with_exception'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:90:in `rescue in dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:96:in `dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `block in build_middleware_st

ack'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `block in call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cac

he'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in

 `call'

    /usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

    /usr/lib/ruby/vendor_ruby/rack/head.rb:9:in `call'

    /usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

    /usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

    /usr/lib/ruby/vendor_ruby/rack/adapter/rails.rb:69:in `call'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:80:in `block in pre_process'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:78:in `catch'
    /usr/lib/ruby/vendor_ruby/thin/connection.rb:78:in `pre_process'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:53:in `process'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:38:in `receive_data'

    /usr/lib/ruby/vendor_ruby/eventmachine.rb:257:in `run_machine'

    /usr/lib/ruby/vendor_ruby/eventmachine.rb:257:in `run'

    /usr/lib/ruby/vendor_ruby/thin/backends/base.rb:61:in `start'

    /usr/lib/ruby/vendor_ruby/thin/server.rb:159:in `start'

    /usr/lib/ruby/vendor_ruby/thin/controllers/controller.rb:86:in `start'

    /usr/lib/ruby/vendor_ruby/thin/runner.rb:185:in `run_command'

    /usr/lib/ruby/vendor_ruby/thin/runner.rb:151:in `run!'

    /usr/bin/thin:6:in `<main>'

...when I try to open the admin page.

The error on the other pages is basicly the same:

Processing GanttsController#show (for xxx.xxx.xxx.xxx at 2015-07-09 14:40:59) [GET]

  Parameters: {"controller"=>"gantts", "action"=>"show", "project_id"=>"ox"}

Rendering template within layouts/base

Rendering gantts/show

Processing ApplicationController#show (for xxx.xxx.xxx.xxx at 2015-07-09 14:40:59) [GET]

  Parameters: {"controller"=>"gantts", "action"=>"show", "project_id"=>"ox"}

/!\ FAILSAFE /!\  2015-07-09 14:40:59 +0200

  Status: 500 Internal Server Error

  cannot load such file -- action_view/template_error

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:81:in `block in log_error'

    /usr/lib/ruby/vendor_ruby/active_support/deprecation.rb:44:in `silence'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:80:in `log_error'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:142:in `rescue_action_without_handler'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:74:in `rescue_action'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:in `process_with_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:65:in `call_with_exception'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:90:in `rescue in dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:96:in `dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `block in build_middleware_st

ack'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `block in call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cac

he'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in

 `call'

    /usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

    /usr/lib/ruby/vendor_ruby/rack/head.rb:9:in `call'

    /usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

    /usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

    /usr/lib/ruby/vendor_ruby/rack/adapter/rails.rb:69:in `call'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:80:in `block in pre_process'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:78:in `catch'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:78:in `pre_process'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:53:in `process'

    /usr/lib/ruby/vendor_ruby/thin/connection.rb:38:in `receive_data'

    /usr/lib/ruby/vendor_ruby/eventmachine.rb:257:in `run_machine'

    /usr/lib/ruby/vendor_ruby/eventmachine.rb:257:in `run'

    /usr/lib/ruby/vendor_ruby/thin/backends/base.rb:61:in `start'

    /usr/lib/ruby/vendor_ruby/thin/server.rb:159:in `start'

    /usr/lib/ruby/vendor_ruby/thin/controllers/controller.rb:86:in `start'

    /usr/lib/ruby/vendor_ruby/thin/runner.rb:185:in `run_command'
    /usr/lib/ruby/vendor_ruby/thin/runner.rb:151:in `run!'

    /usr/bin/thin:6:in `<main>'

I'm very disappointed that an upgrade in debian "stable" now caused this unstability but what can you do right?    

Postgresql version: 9.4/main

Ruby version: ruby 2.1.5p273 (2014-11-13) [x86_64-linux-gnu]

Rails version: Rails 4.1.8

...and I have no plugins installed.

Please help me, and if you require any further data, please let me know and I will post it here.

History

#1 - 2015-07-09 14:56 - Toshi MARUYAMA

- Category deleted (Administration)

- Status changed from New to Closed

- Resolution set to Invalid

Please contact debian team.

I don't know what "3.0~20140825-5" is.

#2 - 2015-07-09 14:59 - Toshi MARUYAMA

Redmine 3.0.0 release date is 2015-02-19.

source:tags/3.0.0/doc/CHANGELOG#L7
